Subject: bug#9723: 24.0.50; Emacs Clipboard crash

From: Joseph Jones <[email-masked]>
Date: Sat, 11 Feb 2012 17:50:41 -0800

*** inline

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Saturday, February 11, 2012 11:19 AM
To: Joseph Jones
Cc: [email-masked]
Subject: Re: bug#9723: 24.0.50; Emacs Clipboard crash

> From: Joseph Jones <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Sat, 11 Feb 2012 10:48:52 -0800
> 
> Emacs 24.0.92, built 1/22/2012
> 
> Getting back to the original issue, I can reproduce the clipboard 
> crash 100% running Emacs -nw in a command prompt.

Reproduce how?  What is the recipe for reproducing this?

*** Open Emacs in an NT cmd shell prompt. In Emacs, open up a cmd shell prompt. Start something that will cause a huge amount of text and scrolling. I run a build in the command prompt and then just wait for it to crash.

> #0  0x01259f9f in append_glyph (it=0x82ad3c) at term.c:1491

In this frame #0 of thread 1, what do the following commands produce?

  (gdb) print glyph
  (gdb) print i
  (gdb) print it->area
  (gdb) print it->glyph_row->used[it->area]

***
(gdb) f 0
#0  0x01259f9f in append_glyph (it=0x82acec) at term.c:1491
1491    in term.c
(gdb) print glyph
$1 = (struct glyph *) 0x0
(gdb) print i
$2 = 0
(gdb) print it->area
$3 = LEFT_MARGIN_AREA
(gdb) print it->glyph_row->used[it->area]
$4 = 0
(gdb)
***
> I realize this doesn't say anything about clipboard

Not only, that, but also the -nw session doesn't even access the clipboard.

> ---------------------------
> Emacs Clipboard: emacs.exe - Application Error
> ---------------------------
> The exception unknown software exception (0xc0000005) occurred in the application at location 0x01259f9f.

Where does this message come from?  Do you perhaps have some clipboard-related utility installed that is not part of the default Windows configuration?

*** That is the UI based alert that pops up on a crash when the debugger is not attached. I have EmacsW32 installed here for Emacs23 but I am not suing that and I have no global path pointing to that installation. There is nothing in my service list that shows as Emacs either except the application itself.